using System.Web;
using StubCore.Entities;
using System.ComponentModel;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace StubAP.ViewModels
{
    public class ProfileViewModel
    {
        [DisplayName("Profile ID")]
        public int id { get; set; }

        [Required]
        [DataType(DataType.Text)]
        [StringLength(35)]
        [DisplayName("Profile Name")]
        public string profileName { get; set; }

        [DataType(DataType.Text)]
        [DisplayName("XML namespace")]
        public string nameSpace { get; set; }

        [DataType(DataType.Text)]
        [DisplayName("XML namespace value")]
        public string nameSpaceValue { get; set; }

        [Required]
        [DisplayName("Transport type")]
        public string transport { get; set; }

        [Required]
        [DisplayName("Type of request")]
        public string requestType { get; set; }

        [DataType(DataType.Text)]
        [DisplayName("Key node name")]
        public string xmlNode { get; set; }

        [DisplayName("Select file(s) for upload")]
        public HttpPostedFileBase[] profileFiles { get; set; }

        [DataType(DataType.Text)]
        [DisplayName("Response delay")]
        public int ResponseDelay { get; set; }

        public string tempID { get; set; }
        public string profileReference { get; set; }
        
        public IEnumerable<TType> transportOptions { get; set; }
        public IEnumerable<TType> requestTypeOptions { get; set; }
        public List<TType> nameSpaceList { get; set; }
        public List<string> filesList { get; set; }
        public List<string> XmlNodesList { get; set; }

    }
}